import React, { Component } from 'react';
import './input.scss'

import classnames from 'classnames'

class Input extends Component {
    constructor(props) {
        super(props)
        this.state = {
            value: ''
        }
    }

    handleChange = (e) => {
        this.setState({
            value: e.target.value
        })
        this.props.onChange(e.target.value)
    }

    clearInput = () => {
        this.setState({
            value: ''
        })
        this.props.onChange('')
    }

    render() {
        let {type, placeholder} = this.props
        return (
            <div className='custom-input-wrapper'>
                <input
                    type={type}
                    className={classnames('custom-input')}
                    placeholder={placeholder}
                    onChange={this.handleChange}
                    value={this.state.value}
                />
                <i
                    className={classnames('iconfont icondanseshixintubiao-3', {
                        hide: this.state.value.length === 0
                    })}
                    onClick={this.clearInput}
                ></i>
            </div>
        );
    }
}


Input.defaultProps = {type: 'text', placeholder: ''}

export default Input;