import React, { PureComponent } from 'react';
import './loginWays.scss'


class LoginWays extends PureComponent {

    handleClick = (index) => {
        this.props.onClick(index)
    }

    render() {
        return (
            <div className="login-ways">
                <div className="bottom-title">其他登录方式</div>
                <ul className='login-ways-container'>
                    {
                        this.props.loginWays.map((item, index) => {
                            return (
                                <li key={index} onClick={this.handleClick.bind(this, index)}>
                                    <img src={item.logo} alt=""/>
                                    <p>{item.text}</p>
                                </li>
                            )
                        })
                    }
                </ul>
            </div>
        );
    }
}


export default LoginWays;