import React, { PureComponent } from 'react';
import SearchHead from './searchHead'
import Tag from '@common/Tag/index.js'
import { http, api } from '@/utils'
import './index.scss';
import { Link } from 'react-router-dom'


class Search extends PureComponent {
    constructor(props) {
        super(props);
        this.state = {
            history: JSON.parse(localStorage.getItem('history')) || [],
            hot_words: [],
            searchList: []
        }
    }

    async componentDidMount() {
        const res = await http.get(`${api['search-api']}/search_hot_word`)
        if (res.data.errno === 0) {
            this.setState({
                hot_words: res.data.data.info.hot_words
            })
        }
    }

    search = text => {

    }

    render() {
        let querystring = this.props.location.query ? this.props.location.query.s : '';
        return (
            <div className="search-page">
                <SearchHead value={querystring} returnbtn={true}/>
                <div className="search-main">
                    <div className="search-land search-history">
                        <label>
                            <span>最近搜索</span>
                            <i className="iconfont iconiconfront-56"/>
                        </label>
                        <div className="search-tag">
                            {
                                this.state.history.length > 0 ?
                                    this.state.history.map((v, i) => {
                                        return (<Tag key={i}>{v}</Tag>)
                                    })
                                    : <div style={{textAlign: 'center', padding: '20px'}}>暂无历史</div>
                            }
                        </div>
                    </div>
                    <div className="search-land search-hot">
                        <label>
                            <span>热门搜索</span>
                        </label>
                        <div className="search-tag">
                            {
                                this.state['hot_words'].length > 0 ?
                                    this.state['hot_words'].map((v, i) => {
                                        return (
                                            <Link key={i} to={`/search-result?word=${v}`}>
                                                <Tag>{v}</Tag>
                                            </Link>
                                        )
                                    })
                                    : <div style={{textAlign: 'center', padding: '20px'}}>暂无热门</div>
                            }
                        </div>
                    </div>
                </div>

            </div>
        )
    }

}

export default Search;