import loadable from '@loadable/component'


import Index from '@/components/Index';
import Classify from '@/components/classify';
import My from '@/components/my';
import CourseList from '@/components/classify/courselist';
import Order from '@/components/order/index';
import Orderinfo from '@/components/order/orderinfo';
import Preferential from '@/components/preferential/index';
import Search from '@/components/search/index'
import SearchResult from '@/components/search/search-result'
import Detail from '@/components/detail/index'
import Examination from '@/components/examination'
import ShopCart from '@/components/shopCart';
import BargainMiddlePage from '@/components/bargainMiddlePage';
import Passport from '@/components/passport'

const Coupons = loadable(() => import(/* webpackChunkName: 'coupons'*/ '@/components/coupons'))
const Study = loadable(() => import(/* webpackChunkName: 'study'*/'@/components/study'))
const Video = loadable(() => import(/* webpackChunkName: 'video'*/'@/components/video'))

export default [
    {
        path: '/',
        exact: true,
        component: Index
    },
    {
        path: '/classify',
        component: Classify
    },
    {
        path: '/study',
        component: Study
    },
    {
        path: '/my',
        component: My
    },
    {
        path: '/courselist',
        component: CourseList
    },
    {
        path: '/preferential',
        component: Preferential
    },
    {
        path: '/search',
        exact: true,
        component: Search
    },
    {
        path: '/search-result',
        component: SearchResult
    },
    {
        path: '/order',
        component: Order
    },
    {
        path: '/orderinfo',
        component: Orderinfo
    },
    {
        path: '/detail',
        component: Detail
    },
    {
        path: '/examination',
        component: Examination
    },
    {
        path: '/coupons',
        component: Coupons,
        isPrivate: true
    },
    {
        path: '/shopcart',
        component: ShopCart
    },
    {
        path: '/bargain-middle-page',
        component: BargainMiddlePage
    },
    {
        path: '/passport',
        component: Passport
    },
    {
        path: '/play',
        component: Video
    },
]